#include "VOS_API/DX_VOS_String.h"
#include "VOS_API/DX_VOS_Version.h"
#include "DX_VOS_BaseVersion.h"


/* the DX_VOS WIN32 release definitions */

 
void DX_VOS_GetVersion(DX_VOS_Version_t *version)
 {
    if (version == DX_NULL)
        return;

    version->DX_VOS_Platform_Version.m_major    = DX_VOS_PLATFROM_MAJOR_VERSION_NUM;
    version->DX_VOS_Platform_Version.m_minor    = DX_VOS_PLATFROM_MINOR_VERSION_NUM;
    version->DX_VOS_Platform_Version.m_sub      = DX_VOS_PLATFROM_SUB_VERSION_NUM;
    version->DX_VOS_Platform_Version.m_internal = DX_VOS_PLATFROM_INTERNAL_VERSION_NUM; 
	DX_VOS_StrNCopy(version->DX_VOS_Platform_Version.m_compName,
		sizeof(version->DX_VOS_Platform_Version.m_compName), DX_VOS_PLATFORM_NAME);
    
    version->DX_VOS_API_Version.m_major    = DX_VOS_API_MAJOR_VERSION_NUM;
    version->DX_VOS_API_Version.m_minor    = DX_VOS_API_MINOR_VERSION_NUM;
    version->DX_VOS_API_Version.m_sub      = DX_VOS_API_SUB_VERSION_NUM;
    version->DX_VOS_API_Version.m_internal = DX_VOS_API_INTERNAL_VERSION_NUM; 
	DX_VOS_StrNCopy(version->DX_VOS_API_Version.m_compName, 
		sizeof(version->DX_VOS_API_Version.m_compName), DX_VOS_API_NAME);
 }


